mkbundle(mkbundle 1.0)

NAME
mkbundle - Creates a bundled executable.

SYNOPSIS

mkbundle [options] assembly1 [assembly2 ...]

DESCRIPTION
mkbundle generates an executable program that will contain static copies of the assemblies listed on the command line. By default only the assemblies specified in the command line will be included in the bundle. To automatically include all of the dependencies referenced, use the "--deps" command line option.

For example, to create a bundle for hello world, use the following command:
	$ mkbundle -o hello hello.exe

The above will pull hello.exe native program called "hello". Notice that the produced image still contains the CIL image and no precompilation is done.

In addition, it is possible to control whether mkbundle should compile the resulting executable or not. This is useful if you want to link additional libraries or control the generated output in more detail. For example, this could be used to link some libraries statically:
	$ mkbundle -o host.c -oo bundles.o --deps hello.exe
	$ cc host.c bundles.o /usr/lib/libmono.a -lc -lrt

OPTIONS

-c  Produce the stub file, do not compile the resulting stub.

-o filename
    Places the output on `out'. If the flag -c is specified, this is the C host program. If not, this contains the resulting executable.

-oo filename
    Specifies the name to be used for the helper object file that contains the bundle.

-L path
    Adds the `path' do the search list for assemblies. The rules are the same as for the compiler -lib: or -L flags.

Specifies that a machine.config file must be bundled as well.
    Typically this is $prefix/etc/mono/1.0/machine.config or $prefix/etc/mono/2.0/machine.config depending on the profile that you are using (1.0 or 2.0)

--nodeps
    This is the default: mkbundle will only include the assemblies that were specified on the command line to reduce the size of the resulting image created.

--deps
    This option will bundle all of the referenced assemblies for the assemblies listed on the command line option. This is useful to distribute a self-contained image.

--keeptemp
    By default mkbundle will delete the temporary files that it uses to produce the bundle. This option keeps the file around.

--static
    By default mkbundle dynamically links to mono and glib. This option causes it to statically link instead.

--config-dir DIR
    When passed, DIR will be set for the MONO_CFG_DIR environment variable

FILES
This program will load referenced assemblies from the Mono assembly cache.

MAILING LISTS
Visit http://lists.ximian.com/mailman/listinfo/mono-devel-list for details.

WEB SITE
Visit: http://www.mono-project.com for details

SEE ALSO
mcs(1),mono(1),mono-config(5).